function [value] = nof_4D_multidimensional_7(FV)
%2D_1 Summary of this function goes here
%   Detailed explanation goes here
x = FV(1);
y = FV(2);
z = FV(3);
v = FV(4);

BG = sin(x*0.12)*sin(y*0.76)+sin(x*0.1)+sin(z*0.2)*cos(v*0.167);

Dist = sqrt((3-x)^2+(1-y)^2+(3-z)^2+(-0.25-v)^2);

c1 =  1-(1/(19+exp(Dist/0.65))+(1/(20+exp(Dist/0.8))));


Dist = sqrt((3-x)^2);
u = 1-(1/(23+exp(Dist/0.2))+(1/(34+exp(Dist/0.5))));

value = 100*(0.04*BG+74*c1 + 4*u - 77);

% figure;
% plot(valx1); hold on
% plot(valx2); hold on
% plot(valx3); hold on
% plot(valx4); hold on
end

